<?php
/*
Plugin Name: Additional Pages
Version: 1.7.k
Description: Ajoute des pages additionelles dans un menu.
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=153
Author: P@t
Author URI: http://www.gauchon.com
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $prefixeTable;

define('AP_DIR' , basename(dirname(__FILE__)));
define('AP_PATH' , PHPWG_PLUGINS_PATH . AP_DIR . '/');
define('ADD_PAGES_TABLE' , $prefixeTable . 'additionalpages');

function additional_pages_admin_menu($menu)
{
    array_push($menu, array('NAME' => 'Additional Pages',
            'URL' => get_admin_plugin_menu_link(AP_PATH . 'admin/admin.php')));
    return $menu;
}

function add_menu_additional_page()
{
	include(AP_PATH . 'index_menu.php');
}

function section_init_additional_page()
{
    global $tokens, $page;
    if ($tokens[0] == 'additional_page')
        $page['section'] = 'additional_page';
}

function index_additional_page()
{
    global $page;
    if ($page['section'] == 'additional_page')
        include(AP_PATH . 'additional_page.php');
}

add_event_handler('get_admin_plugin_menu_links', 'additional_pages_admin_menu');
add_event_handler('loc_end_menubar' , 'add_menu_additional_page');
add_event_handler('loc_end_section_init', 'section_init_additional_page');
add_event_handler('loc_end_index', 'index_additional_page');

?>